SSS_OBFUSCATE(8)

NAME
sss_obfuscate - oscurecer un password en texto claro

SYNOPSIS

sss_obfuscate [options] [CONTRASEÑA]

DESCRIPCION

sss_obfuscate convierte una contraseña dada en un formato no legible y la sitúa en la sección apropiada del dominio del fichero de configuración SSSD.

La contraseña en texto claro es leída desde la entrada estándar e introducida interactivamente. La contraseña ofuscada se pone en el parámetro “ldap_default_authtok” de un dominio SSSD dado y el parámetro “ldap_default_authtok_type” se fija a “obfuscated_password”. Vea sssd-ldap(5) para más detalles sobre estos parámetros.

Por favor advierta que oscurecer la contraseña no suministra un beneficio real de seguridad y es posible para un atacante mediante ingeniería inversa volver atrás la contraseña. Se recomienda firmemente el uso de mejores mecanismos de autenticación como certificados en el lado cliente o GSSAPI.

OPCIONES

-h,--help
    Muestra mensaje de ayuda y sale.

-s,--stdin
    La contraseña a oscurecer será leída desde la entrada estándar.

-d,--domain DOMINIO
    El dominio SSSD en el que usar la contraseña. El nombre por defecto es “default”.

-f,--file ARCHIVO
    Lee el fichero de configuración especificado por el parámetro posicional.

    Predeterminado: /etc/sssd/sssd.conf

VEA TAMBIEN

sssd(8), sssd.conf(5), sssd-ldap(5), sssd-krb5(5), sssd-simple(5), sssd-ipa(5), sssd-ad(5), sssd-files(5), sssd-sudo(5), sssd-secrets(5), sssd-session-recording(5), sss_cache(8), sss_debuglevel(8), sss_obfuscate(8), sss_seed(8), sssd_krb5_locator_plugin(8), sss_ssh_authorizedkeys(8), sss_ssh_knownhostsproxy(8), sssd-ifp(5), pam_sss(8). sss_rpcidmapd(5)

AUTHORS

The SSSD upstream - https://pagure.io/SSSD/sssd/